×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Apr 2009
    Posts
    5

    Error -11 for PIPS Installer when running qt_installer on N97

    When I run qt_installer from a folder on the N97, it installs and then starts installing dependencies. First one, "Installing PIPS Installer" gets about 5% through and then gives cryptic error -11 message.

    I have tried installing to both mass memory and C: which have 24.4 GB and 15.0 MB respectively free.

    I have downloaded the qt_installer.sis file again and compared against the one in the [NokiaQtSDK]\Symbian\sis folder and it's fine.

    Help!
    Frank

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,559

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    Which Qt version qt_installer.sis (Qt 4.6.3 or earlier, Qt 4.7.0 or 4.7.1 or what)?

    Has any version of Qt been installed on the device before? Has any S60 apps using OpenC/C++ and/or PIPS?

    If required, is it possible to fully reset/reformat the N97 to see if it makes a difference for/to the installation?

  3. #3
    Registered User
    Join Date
    Apr 2009
    Posts
    5

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    Sorry, the qt_installer is 4.06(3) and I am using Qt Creator 2.0.1 which is based on Qt 4.7.0 (32 bit).
    Qt has never been installed on the device before.
    Lots of apps have been installed and uninstalled, but I cannot see anything that is obviously OpenC/C++ or PIPS.
    I will reset if necessary, but is there anything I can do before that? Maybe look for OpenC or PIPS folders or apps and clear them out?

    Thanks for the prompt response.

    Frank

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    qt_installer.sis has nothing to do with the Smart Installer tool. For info about the smart installer see http://tinyurl.com/SmartInstaller

    Hard to say what the installer tries to do and why the installation of PIPS fails without investigating the actual code. Which fortunately should be open source ... somewhere.
    I suspect that you have OpenC already updated, likely with the Ovi Maps application, and the installer does not handle the situation correctly.

    Verify the version of OpenC you have installed, and if you have at least 1.6 go ahead and install qt.sis and qtwebkit.sis from ftp://ftp.qt.nokia.com/pub/qt/symbian/4.6.3/
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Super Contributor
    Join Date
    Nov 2009
    Location
    Minnesota, USA
    Posts
    3,209

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    Use this site to see what's inside qt_installer.sis. As I recall it's just the several individual packages, with no "installer" logic.

    Error -11 is "already exists".

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    No need for special sites, the SDK has all the needed tools for dump file's content:

    Code:
    &EN
    
    #{"Qt installer"}, (0x2001e62d), 4, 6, 3, TYPE=SA
    %{"Nokia, Qt"}
    :"Nokia, Qt"
    
    [0x101f7961],0, 0, 0 ,{"S60ProductID"}
    
    [0x102032be],0, 0, 0 ,{"S60ProductID"}
    
    [0x102752ae],0, 0, 0 ,{"S60ProductID"}
    
    [0x1028315f],0, 0, 0 ,{"S60ProductID"}
    
    "file0"-"!:\private\2001E62D\pips.sis", FF
    
    "file1"-"!:\private\2001E62D\openc_ssl.sis", FF
    
    "file2"-"!:\private\2001E62D\stdcpp.sis", FF
    
    "file3"-"!:\private\2001E62D\qt.sis", FF
    
    "file4"-"!:\private\2001E62D\qtwebkit.sis", FF
    
    "file5"-"c:\sys\bin\qt_installer.exe", FR, RI
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Registered User
    Join Date
    Jan 2011
    Posts
    2

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    i am having this same problem.

    qt_installer 4.06(3).

    i'm getting error -10256

    any solution?
    Last edited by jim.mercer; 2011-02-18 at 23:46.
    Jim Mercer
    Clasix Inc.

  8. #8
    Super Contributor
    Join Date
    Nov 2009
    Location
    Minnesota, USA
    Posts
    3,209

    Re: Error -11 for PIPS Installer when running qt_installer on N97


  9. #9
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Error -11 for PIPS Installer when running qt_installer on N97

    Quote Originally Posted by jim.mercer View Post
    i am having this same problem.

    qt_installer 4.06(3).

    i'm getting error -10256

    any solution?
    install qt.sis and qtwebkit.sis instead of that qt_installer.sis.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. N97 Mini VOIP failure after 11.0.045 upgrade
    By firdousamir in forum VoIP
    Replies: 2
    Last Post: 2010-02-19, 13:58
  2. Update Error installing pips
    By kedarm in forum Open C/C++
    Replies: 4
    Last Post: 2009-10-14, 11:11
  3. Programatically check if Installer is running?
    By markos123 in forum Symbian
    Replies: 2
    Last Post: 2008-11-02, 12:09
  4. EPOC error: -11 on Series60 running w FFJ
    By alexterzis in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2002-07-30, 11:39

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×